
Summary: A general-purpose cryptography library.
Name:	 libgcrypt
Epoch:	 0
Version: 1.2.1
Release: 0.fdr.1%{?dist_tag}
Source0: ftp://ftp.gnupg.org/gcrypt/libgcrypt/libgcrypt-1.2.1.tar.bz2
Source1: ftp://ftp.gnupg.org/gcrypt/libgcrypt/libgcrypt-1.2.1.tar.bz2.sig
Group:	 System Environment/Libraries
License: LGPL
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: libgpg-error-devel >= 0.5

%description
Libgcrypt is a general purpose crypto library based on the code used
in GNU Privacy Guard.  This is a development version.


%package devel
Summary: Development files for the %{name} package.
Group:	 Development/Libraries
Requires(post): /sbin/install-info
Requires(postun): /sbin/install-info
Requires: libgpg-error-devel
Requires: %{name} = %{epoch}:%{version}-%{release}
%description devel
Libgcrypt is a general purpose crypto library based on the code used
in GNU Privacy Guard.  This package contains files needed to develop
applications using libgcrypt.


%prep
%setup -q 


%build
%configure \
  --program-prefix="%{?_program_prefix}" \
  --disable-asm

make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

#/sbin/ldconfig -n $RPM_BUILD_ROOT%{_libdir}

# unpackaged files
rm -f $RPM_BUILD_ROOT{%{_infodir}/dir,%{_libdir}/lib*.la}


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig


%post devel
/sbin/install-info %{_infodir}/gcrypt.info.gz %{_infodir}/dir &>/dev/null || :

%preun devel
if [ $1 -eq 0 ]; then
/sbin/install-info --delete %{_infodir}/gcrypt.info.gz %{_infodir}/dir &>/dev/null || :
fi


%files
%defattr(-,root,root)
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root)
%{_bindir}/*-config
%{_includedir}/*
%{_libdir}/lib*.a
#{_libdir}/lib*.la
%{_libdir}/lib*.so
%{_datadir}/aclocal/*
%{_infodir}/*.info*


%changelog
* Sun Jan 09 2005 Rex Dieter <rexdieter[AT]users.sf.net> 0:1.2.1-0.fdr.1
- 1.2.1
- drop .la file(s)

* Thu Oct 21 2004 Rex Dieter <rexdieter[AT]users.sf.net> 0:1.2.0-0.fdr.2
- Epoch: 0
- fix rh73 build

* Tue Oct 19 2004 Rex Dieter <rexdieter[AT]users.sf.net> 1.2.0-0.fdr.1
- 1.2.0

* Sat May 15 2004 Michael Schwendt <mschwendt[AT]users.sf.net> - 1.1.12-0.fdr.1
- Rename package to libgcrypt1-*.
- Discard output in scriptlets.
- Include *.so.* too.

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Thu Mar 20 2003 Jeff Johnson <jbj@redhat.com> 1.1.12-1
- upgrade to 1.1.12 (beta).

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Sun May 26 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Tue May 21 2002 Jeff Johnson <jbj@redhat.com>
- update to 1.1.7
- change license to LGPL.
- include splint annotations patch.
- install info pages.

* Tue Apr  2 2002 Nalin Dahyabhai <nalin@redhat.com> 1.1.6-1
- update to 1.1.6

* Thu Jan 10 2002 Nalin Dahyabhai <nalin@redhat.com> 1.1.5-1
- fix the Source tag so that it's a real URL

* Wed Dec 20 2001 Nalin Dahyabhai <nalin@redhat.com>
- initial package
